Subject: RE: A modest proposal: get rid of (*,*,RP) state

From: "Shekhar, Ravi" <[email-masked]>
Date: Fri, 9 Jun 2000 17:22:58 -0400

> Dear PIM'ers,
> 
>   As part of our rewrite of the PIM-SM spec, we would like to get
> rid of (*,*,RP) state.  It was introduced for interoperability with
> dense-mode protocols in the "upside-down" mode of a dense-mode
> backbone and PIM-SM stubs.  In today's Internet, this mode doesn't
> exist, and MSDP and Domain-Wide Reports are a much better way to
> attach a dense-mode stub site.
> 
>   Given this, we'd like to ask the following questions:
> 1) Does anyone handle receiving and propagating (*,*,RP) joins?
> 2) Does anyone implement the PMBR functionality that initiates
>    (*,*,RP) joins?

Yes, we support both of these.

> 3) Most importantly, does anyone have any objections to eliminating
>    the (*,*,RP) functionality?

I agree that DWR is a better way. But my only concern is how widely is
it being used, especially in the existing dense mode stub areas like
enterprises. 
I know of at least one vendor which has only PIM-DM and does not have 
support for DWR. All such enterprises would need to add DWR supporting
router
interfaces on all of their internal LANs to transition to DWR. 

If I understand it right, the <*, *, RP> mechanism as stated in current PIM
draft 
has its limitations. It allows pruning of only 254 different groups from a
given RP 
after joining a <*, *, RP>. But I doubt if this would be a serious
limitation.

Are there other good reasons to not include <*, *, RP> in protocol
specification?
Perhaps implementation of <*, *, RP> can be made optional (detected through 
hello options).

- Ravi Shekhar.

> 
> Thanks,
>   Bill & Mark & Hugh & Isidor
>

---

From: Billy Ng <[email-masked]>
Date: Mon, 12 Jun 2000 09:42:28 -0400

> 1) Does anyone handle receiving and propagating (*,*,RP) joins?

RiverDelta does not, but I know Nortel/Bay does :).

> 2) Does anyone implement the PMBR functionality that initiates

RiverDelta does not, but I know Nortel/Bay does :).

>    the (*,*,RP) functionality?

No objections.  (don't think Nortel/Bay objects either :).

--Billy

---

From: Billy Ng <[email-masked]>
Date: Mon, 12 Jun 2000 09:42:28 -0400

--Billy